package com.weather.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 产品存储ftp
 * </p>
 *
 * @author feng
 * @since 2023-09-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="WeaFtpInfo对象", description="产品存储ftp")
public class WeaFtpInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    @ApiModelProperty(value = "ftp地址")
    private String ftpIp;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "用户名")
    private String name;


    @ApiModelProperty(value = "ftp地址类名")
    private String ftpname;


    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty(value = "创建人id")
    private Long createId;


    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;


    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty(value = "更新人id")
    private Long updateId;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;




    /**
     * ftp端口
     **/
    @ApiModelProperty(value = "ftp端口")
    private Integer ftpPort;

    /**
     * ftp用户对应的文件夹
     **/
    @ApiModelProperty(value = "ftp用户对应的文件夹 ")
    private String ftpDir;

    /**
     * 是否启用（0启用，1禁用）
     **/
    private Integer status;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getFtpIp() {
        return ftpIp;
    }

    public void setFtpIp(String ftpIp) {
        this.ftpIp = ftpIp;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFtpname() {
        return ftpname;
    }

    public void setFtpname(String ftpname) {
        this.ftpname = ftpname;
    }


    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getFtpPort() {
        return ftpPort;
    }

    public void setFtpPort(Integer ftpPort) {
        this.ftpPort = ftpPort;
    }

    public String getFtpDir() {
        return ftpDir;
    }

    public void setFtpDir(String ftpDir) {
        this.ftpDir = ftpDir;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("ftpIp", getFtpIp())
                .append("password", getPassword())
                .append("name", getName())
                .append("ftpname", getFtpname())
                .append("createId", getCreateId())
                .append("createTime", getCreateTime())
                .append("updateId", getUpdateId())
                .append("updateTime", getUpdateTime())
                .append("ftpPort", getFtpPort())
                .append("ftpDir", getFtpDir())
                .append("status", getStatus())
                .toString();
    }
}
